<? // ВНИМАНИЕ!!! этот скрипт пересоздается при каждой проверке настроек
   // все что будет дописано - будет потеряно после проверки настроек
  if ($_SERVER['PHP_AUTH_USER']=='svc_zbx_probe') { echo 'ok' ; exit ; }

	 if ($_GET['operation']=='quiz') define('_CUR_PAGE_DIR','/services/' . $_GET['operation'] . '/operation/');
   include ("ini/patch.php")  ;
   include (_DIR_TO_ENGINE."/i_system.php") ;
   //$reboot_all=1 ;
   $options=array() ;

   if ($_GET['operation']=='ping')
   { connect_database() ;   // законектиться к базе
	    //echo json_encode(array()) ;
	    echo '[]' ;
   	 _exit();
   }


   if ($_GET['operation']=='quiz') include(_DIR_EXT . "/services/i_index.php");
   elseif ($_GET['operation'])
	 { $JSON_source = file_get_contents("php://input");
     if ($JSON_source)
     { $data_in=load_json_utf8($JSON_source) ;
       $terminal_id=$data_in['args']['id']['terminal'] ;
       if ($terminal_id)
         { $session_name='server-to-term-'.$terminal_id ;
           $options['use_session_id']=$session_name;
         }
     }

		 $options['ext'] = 'aspmo_server';
     $options['class_file']='c_server.php' ;
     $options['class_name']='c_page_server' ;
     $_POST['cmd']='put_exec' ;
	}
	else $reboot_all = 1;
  show_page($options) ;

    function load_json_utf8($content_str)
    {  $bom = chr(0xEF).chr(0xBB).chr(0xBF);
        if(substr_compare($bom, $content_str, 0, strlen($bom)) == 0) $content_str = substr($content_str, strlen($bom));
        return json_decode($content_str,true);
    }
?>